/* This file is part of
* ======================================================
* 
*           LyX, the High Level Word Processor
* 	 
*	    Copyright (C) 1995 Matthias Ettrich
*
*======================================================*/

#include <forms.h>

#include <credits.h>

/* extern */
extern char system_lyxdir [255];

/**** Forms and Objects ****/

typedef struct {
	FL_FORM *form_credits;
        FL_OBJECT *browser_credits;
	void *vdata;
	long ldata;
} FD_form_credits;

static FD_form_credits *fd_form_credits = NULL;

void CreditsOKCB(FL_OBJECT *, long) {
      fl_hide_form(fd_form_credits->form_credits);
      fl_free_form(fd_form_credits->form_credits);
      fd_form_credits->form_credits = NULL;
}

FD_form_credits *create_form_form_credits(void)
{
  FL_OBJECT *obj;
  FD_form_credits *fdui = (FD_form_credits *) fl_calloc(1, sizeof(FD_form_credits));

  fdui->form_credits = fl_bgn_form(FL_NO_BOX, 480, 380);
  obj = fl_add_box(FL_UP_BOX,0,0,480,380,"");
  obj = fl_add_text(FL_NORMAL_TEXT,20,310,100,40,"Credits");
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL, NorthWestGravity, NorthWestGravity);
  obj = fl_add_text(FL_NORMAL_TEXT,20,280,370,40,"All these people have contributed to the LyX project. Thanks,");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_resize(obj, FL_RESIZE_ALL, NorthWestGravity, NorthWestGravity);
  obj = fl_add_text(FL_NORMAL_TEXT,230,260,60,30,"Matthias");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
    fl_set_object_resize(obj, FL_RESIZE_ALL, NorthWestGravity, NorthWestGravity);
  fdui->browser_credits = obj = fl_add_browser(FL_NORMAL_BROWSER,20,50,440,200,"");
    fl_set_object_resize(obj, FL_RESIZE_ALL, NorthWestGravity, SouthEastGravity);
  obj = fl_add_button(FL_NORMAL_BUTTON,170,10,150,30,"OK");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_callback(obj,CreditsOKCB,0);    
    fl_set_object_resize(obj, FL_RESIZE_ALL, SouthGravity, SouthGravity);
  fl_end_form();

  return fdui;
}

/*---------------------------------------*/
/* read credits from file and display them */
void ShowCredits()
{
   char real_file[256];
   char buffer[256];
   FILE *file;
   
   /* generate the credits form if it doesn't exist */
   
   if (!fd_form_credits || !fd_form_credits->form_credits) {
   
      /* read the credits into the browser */ 
      
      /* try file LYX_DIR/CREDITS */ 
      strcpy(real_file, system_lyxdir);
      strcat (real_file, "/CREDITS");
      
      fd_form_credits = create_form_form_credits();

      if (!fl_load_browser(fd_form_credits->browser_credits, real_file)) {
	 fl_add_browser_line(fd_form_credits->browser_credits, "ERROR: LyX wasn't able to read $(LYXDIR)/CREDITS");
	 fl_add_browser_line(fd_form_credits->browser_credits, "");
	 fl_add_browser_line(fd_form_credits->browser_credits, "Please install correctly to estimate the great");
	 fl_add_browser_line(fd_form_credits->browser_credits, "amount of work other people have done for the LyX project.");
	 
      }
      
      fl_show_form(fd_form_credits->form_credits,
		   FL_PLACE_CENTER | FL_FREE_SIZE,FL_FULLBORDER,
		   "Credits");
      return;
      
      if (!(file = fopen(real_file, "r"))) {
	 /* default credits */
	 fl_add_browser_line(fd_form_credits->browser_credits, "ERROR: LyX wasn't able to read $(LYXDIR)/CREDITS");
	 fl_add_browser_line(fd_form_credits->browser_credits, "");
	 fl_add_browser_line(fd_form_credits->browser_credits, "Please install correctly to estimate the great");
	 fl_add_browser_line(fd_form_credits->browser_credits, "amount of work other people have done for the LyX project.");
      }
      else  {
	 while (!feof(file)) {
	    bzero(buffer, sizeof(buffer));
	    if ((fgets(buffer, sizeof(buffer), file)!=NULL)) {
	       fl_add_browser_line(fd_form_credits->browser_credits, buffer);
	    }
	 }
	 fclose(file);
      }
   }
};

