/* This file is part of
* ======================================================
* 
*           LyX, the High Level Word Processor
* 	 
*	    Copyright (C) 1995 Matthias Ettrich
*
*======================================================*/


/* very simple help system. 
 * It just loads a lyx documentation file.
 * The only difference is, that the file selector's directory
 * is set to LYX_DIR/doc and the table of contents is invoked
 * automatically. */ 

#include <forms.h>
#include <file.h>
#include <docu.h>

/* extern */
extern char system_lyxdir [255];
/* functions from lyx_cb.C */ 
extern void LoadLyXFile(const char*);
extern void ResizeCurrentBufferPseudoExpose();
extern void MenuShowTableOfContents();
extern void SetMinibuffer(const char* s1, const char* s2, const char* s3);
extern char* document_path;

void MenuDocu() {
   const char *got_fname;
   char doc_dir[256];
   int i=0, file_type=0;

   /* try directory  LYX_DIR/doc */ 
   strcpy(doc_dir, system_lyxdir);
   strcat (doc_dir, "/doc");
   if (document_path)
      delete(document_path);
   document_path = StringCopy(fl_get_directory()); 
   got_fname = fl_show_file_selector("Documentation To Load", doc_dir,"*.lyx","");
   /* flushes Xlib queue */
   XFlush(fl_get_display());
   /* shorten the filename if it begins with the path */
   
   if (!got_fname)
      return;
   
   char *fname = new char[strlen(got_fname)+5];
   strcpy(fname, got_fname);

   SetMinibuffer("Loading file",fname,"...");   

   LoadLyXFile(fname);
   ResizeCurrentBufferPseudoExpose();
   MenuShowTableOfContents();
}
