/* This file is part of
* ======================================================
* 
*           LyX, the High Level Word Processor
* 	 
*	    Copyright (C) 1995 Matthias Ettrich
*
*======================================================*/

#include"inset.h"
#include"layout.h"

#define NUMBER_OF_BUFFERS 50

enum { NO_LOGFILE=-1, NO_OUPUT, RUN_OK };

/* the bufferstructure used in the main modules */
extern void InitTextParameters(LyXTextParameters &);

typedef struct Buffer {
   LyXTextParameters parameters;
   LyXText *text;
   LyXScreen *screen;
   char* filename;
   char lyx_current;
   char bak_current;
   char dvi_current;
   char save;
   char menu_position;
  Buffer() {
    filename = NULL;
    parameters.paragraph = NULL;
    text = NULL;
    screen = NULL;
    lyx_current = 0;
    bak_current = 0;
    dvi_current = 0;
    menu_position = 0;
    InitTextParameters(parameters);
  }
};

typedef struct LyXRC  {
   LyXTextParameters parameters;
   char * printer;
   char * print_command;
   char * print_evenpage_flag;
   char * print_oddpage_flag;
   char * print_reverse_flag;
   char * print_landscape_flag;
   char * print_to_printer;
   char * print_to_file;
   char * print_file_extension;
   char * print_extra_options;
   char * latex_command;
   char * xdvi_extra_options;
   char * sgml_extra_options;
   char * lyx_layout_lib;
   char * template_path;
   char * lastfiles;
  char default_zoom;
   int autosave;
};


typedef struct {
    Widget work_area  ;
    Widget scrollbar ;
} FileData ;

typedef struct TeXErrors{
  int status;
  int number_of_errors;
  // int output; // true or false
  // char **missingfiles;
  TeXErrors() { status = NO_LOGFILE; number_of_errors = 0;}
};


/* temporary stuff for development */

/* opens only lyx-files */
int OpenFile(const char *filename);

/* opens all files */
int OpenAllFile(const char *filename);

void CloseFile();

/* the Paragraph must exist!*/
void ReadParagraph(LyXParagraph *par);
void ReadSimpleWholeFile(LyXParagraph *par);

void ReadFile(LyXTextParameters &p);

int ReadRCFile(char* filename, LyXRC &rc);

void WriteFile(const char* filename, LyXTextParameters p);

void MakeLaTeXFile(const char* filename, LyXTextParameters p, int column);

void MakeLinuxDocFile(const char* filename, LyXTextParameters p, int column);

char IsLyXFilename(const char* filename);

char IsSGMLFilename(const char* filename);

/* scans the latex-logfile and inserts error insets */
// int ScanLogFile(const char* filename);
void ScanLogFile(const char*, TeXErrors*);


