/* This file is part of
* ======================================================
* 
*           LyX, the High Level Word Processor
* 	 
*	    Copyright (C) 1995 Matthias Ettrich
*
*======================================================*/

#ifndef FD_form_main_h_
#define FD_form_main_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void FootCB(FL_OBJECT *, long);
extern void LayoutsCB(FL_OBJECT *, long);
extern void WorkAreaCB(FL_OBJECT *, long);
extern void ScrollCB(FL_OBJECT *, long);
extern void FileCB(FL_OBJECT *, long);
extern void EditCB(FL_OBJECT *, long);
extern void LayoutCB(FL_OBJECT *, long);
extern void SpecialCB(FL_OBJECT *, long);
extern void MathCB(FL_OBJECT *, long);
extern void OptionsCB(FL_OBJECT *, long);
extern void BufferCB(FL_OBJECT *, long);
extern void HelpCB(FL_OBJECT *, long);
extern void EmphCB(FL_OBJECT *, long);
extern void NounCB(FL_OBJECT *, long);
extern void MarginCB(FL_OBJECT *, long);
extern void FigureCB(FL_OBJECT *, long);
extern void TableCB(FL_OBJECT *, long);
extern void CutCB(FL_OBJECT *, long);
extern void PasteCB(FL_OBJECT *, long);
extern void MeltCB(FL_OBJECT *, long);
extern void TexCB(FL_OBJECT *, long);
extern void FormulaCB(FL_OBJECT *, long);
extern void DepthCB(FL_OBJECT *, long);
extern void FreeCB(FL_OBJECT *, long);
extern void CursorToggleCB(FL_OBJECT *, long);
extern void AutosaveTimerCB(FL_OBJECT *, long);
extern void UpdateTimerCB(FL_OBJECT *, long);
extern void MinibufferTimerCB(FL_OBJECT *, long);

extern void TimerCB(FL_OBJECT *, long);

extern void ParagraphOKCB(FL_OBJECT *, long);
extern void ParagraphApplyCB(FL_OBJECT *, long);
extern void ParagraphCancelCB(FL_OBJECT *, long);

extern void SearchCancelCB(FL_OBJECT *, long);
extern void SearchReplaceCB(FL_OBJECT *, long);
extern void SearchForwardCB(FL_OBJECT *, long);
extern void SearchBackwardCB(FL_OBJECT *, long);

extern void CharacterOKCB(FL_OBJECT *, long);
extern void CharacterApplyCB(FL_OBJECT *, long);
extern void CharacterCancelCB(FL_OBJECT *, long);

extern void DocumentOKCB(FL_OBJECT *, long);
extern void DocumentApplyCB(FL_OBJECT *, long);
extern void DocumentCancelCB(FL_OBJECT *, long);
extern void ChoiceClassCB(FL_OBJECT *, long);

extern void QuotesOKCB(FL_OBJECT *, long);
extern void QuotesApplyCB(FL_OBJECT *, long);
extern void QuotesCancelCB(FL_OBJECT *, long);

extern void PreambleApplyCB(FL_OBJECT *, long);
extern void PreambleCancelCB(FL_OBJECT *, long);
extern void PreambleOKCB(FL_OBJECT *, long);

extern void TableApplyCB(FL_OBJECT *, long);
extern void TableCancelCB(FL_OBJECT *, long);
extern void TableOKCB(FL_OBJECT *, long);

extern void PrintApplyCB(FL_OBJECT *, long);
extern void PrintCancelCB(FL_OBJECT *, long);
extern void PrintOKCB(FL_OBJECT *, long);

extern void FigureOKCB(FL_OBJECT *, long);
extern void FigureApplyCB(FL_OBJECT *, long);
extern void FigureCancelCB(FL_OBJECT *, long);

extern void ScreenOKCB(FL_OBJECT *, long);
extern void ScreenApplyCB(FL_OBJECT *, long);
extern void ScreenCancelCB(FL_OBJECT *, long);

extern void UpCB(FL_OBJECT *, long);
extern void DownCB(FL_OBJECT *, long);

extern void TocSelectCB(FL_OBJECT *, long);
extern void TocCancelCB(FL_OBJECT *, long);
extern void TocUpdateCB(FL_OBJECT *, long);

extern void RefSelectCB(FL_OBJECT *, long);
extern void RefUpdateCB(FL_OBJECT *, long);
extern void RefHideCB(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *form_main;
	FL_OBJECT *icon_foot;
	FL_OBJECT *choice_layouts;
	FL_OBJECT *work_area;
	FL_OBJECT *minibuffer;
	FL_OBJECT *scrollbar;
	FL_OBJECT *menu_file;
	FL_OBJECT *menu_edit;
	FL_OBJECT *menu_layout;
	FL_OBJECT *menu_special;
	FL_OBJECT *menu_buffer;
	FL_OBJECT *menu_help;
	FL_OBJECT *icon_emph;
	FL_OBJECT *icon_noun;
	FL_OBJECT *icon_margin;
	FL_OBJECT *icon_figure;
	FL_OBJECT *icon_table;
	FL_OBJECT *icon_cut;
	FL_OBJECT *icon_paste;
	FL_OBJECT *icon_melt;
	FL_OBJECT *icon_tex;
	FL_OBJECT *icon_formula;
	FL_OBJECT *menu_math;
        FL_OBJECT *menu_options;
        FL_OBJECT *icon_depth;
	FL_OBJECT *icon_free;
	FL_OBJECT *timer_autosave;
	FL_OBJECT *timer_cursor;
	FL_OBJECT *timer_update;
	FL_OBJECT *timer_minibuffer;
	FL_OBJECT *button_down;
	FL_OBJECT *button_up;
	void *vdata;
	long ldata;
} FD_form_main;

extern FD_form_main * create_form_form_main(void);
typedef struct {
	FL_FORM *form_title;
	FL_OBJECT *timer_title;
	void *vdata;
	long ldata;
} FD_form_title;

extern FD_form_title * create_form_form_title(void);
typedef struct {
	FL_FORM *form_paragraph;
	FL_OBJECT *slider_spaces_top;
	FL_OBJECT *slider_spaces_bottom;
	FL_OBJECT *check_fill_top;
	FL_OBJECT *check_fill_bottom;
	FL_OBJECT *check_lines_top;
	FL_OBJECT *check_lines_bottom;
	FL_OBJECT *check_pagebreaks_top;
	FL_OBJECT *check_pagebreaks_bottom;
	FL_OBJECT *input_labelwidth;
	FL_OBJECT *button_ok;
	FL_OBJECT *button_apply;
	FL_OBJECT *button_cancel;
	FL_OBJECT *check_noindent;
	FL_OBJECT *radio_align_left;
	FL_OBJECT *radio_align_right;
	FL_OBJECT *radio_align_center;
	FL_OBJECT *radio_align_block;
	void *vdata;
	long ldata;
} FD_form_paragraph;

extern FD_form_paragraph * create_form_form_paragraph(void);
typedef struct {
	FL_FORM *form_search;
	FL_OBJECT *input_search;
	FL_OBJECT *input_replace;
	void *vdata;
	long ldata;
} FD_form_search;

extern FD_form_search * create_form_form_search(void);
typedef struct {
	FL_FORM *form_character;
	FL_OBJECT *choice_family;
	FL_OBJECT *choice_series;
	FL_OBJECT *choice_shape;
	FL_OBJECT *choice_size;
	FL_OBJECT *choice_bar;
	FL_OBJECT *button_ok;
	FL_OBJECT *button_apply;
	FL_OBJECT *button_cancel;
	void *vdata;
	long ldata;
} FD_form_character;

extern FD_form_character * create_form_form_character(void);
typedef struct {
	FL_FORM *form_document;
	FL_OBJECT *choice_fontsize;
	FL_OBJECT *choice_papersize;
	FL_OBJECT *input_extra;
	FL_OBJECT *choice_language;
	FL_OBJECT *choice_epsfig;
	FL_OBJECT *group_radio_paragraph_separation;
	FL_OBJECT *radio_indent;
	FL_OBJECT *radio_skip;
	FL_OBJECT *group_radio_sides;
	FL_OBJECT *radio_sides_one;
	FL_OBJECT *radio_sides_two;
	FL_OBJECT *group_radio_columns;
	FL_OBJECT *radio_columns_one;
	FL_OBJECT *radio_columns_two;
	FL_OBJECT *group_radio_orientation;
	FL_OBJECT *radio_portrait;
	FL_OBJECT *radio_landscape;
	FL_OBJECT *choice_pagestyle;
	FL_OBJECT *slider_secnumdepth;
	FL_OBJECT *slider_tocdepth;
	FL_OBJECT *choice_class;
	FL_OBJECT *slider_baselinestretch;
	FL_OBJECT *choice_inputenc;
        FL_OBJECT *choice_fonts;
	void *vdata;
	long ldata;
} FD_form_document;

extern FD_form_document * create_form_form_document(void);
typedef struct {
	FL_FORM *form_quotes;
	FL_OBJECT *choice_quotes_language;
	FL_OBJECT *group_quotes_number;
	FL_OBJECT *radio_single;
	FL_OBJECT *radio_double;
	FL_OBJECT *button_ok;
	FL_OBJECT *button_apply;
	FL_OBJECT *button_cancel;
	void *vdata;
	long ldata;
} FD_form_quotes;

extern FD_form_quotes * create_form_form_quotes(void);
typedef struct {
	FL_FORM *form_preamble;
	FL_OBJECT *input_preamble;
	FL_OBJECT *button_apply;
	FL_OBJECT *button_cancel;
	FL_OBJECT *button_ok;
	void *vdata;
	long ldata;
} FD_form_preamble;

extern FD_form_preamble * create_form_form_preamble(void);
typedef struct {
	FL_FORM *form_table;
	FL_OBJECT *button_apply;
	FL_OBJECT *button_cancel;
	FL_OBJECT *button_ok;
	FL_OBJECT *slider_rows;
	FL_OBJECT *slider_columns;
	void *vdata;
	long ldata;
} FD_form_table;

extern FD_form_table * create_form_form_table(void);
typedef struct {
	FL_FORM *form_print;
	FL_OBJECT *input_printer;
	FL_OBJECT *input_file;
	FL_OBJECT *group_radio_printto;
	FL_OBJECT *radio_printer;
	FL_OBJECT *radio_file;
	FL_OBJECT *group_radio_print;
	FL_OBJECT *radio_all_pages;
	FL_OBJECT *radio_odd_pages;
	FL_OBJECT *radio_even_pages;
	FL_OBJECT *group_radio_order;
	FL_OBJECT *radio_order_normal;
	FL_OBJECT *radio_order_reverse;
	void *vdata;
	long ldata;
} FD_form_print;

extern FD_form_print * create_form_form_print(void);
typedef struct {
	FL_FORM *form_figure;
	FL_OBJECT *group_radio_fugre;
	FL_OBJECT *radio_postscript;
	FL_OBJECT *radio_latex;
	void *vdata;
	long ldata;
} FD_form_figure;

extern FD_form_figure * create_form_form_figure(void);
typedef struct {
	FL_FORM *form_screen;
	FL_OBJECT *input_roman;
	FL_OBJECT *input_sans;
	FL_OBJECT *input_typewriter;
	FL_OBJECT *input_font_norm;
	FL_OBJECT *intinput_size;
	FL_OBJECT *intinput_tiny;
	FL_OBJECT *intinput_small;
	FL_OBJECT *intinput_normal;
	FL_OBJECT *intinput_large;
	FL_OBJECT *intinput_larger;
	FL_OBJECT *intinput_largest;
	FL_OBJECT *intinput_huge;
	FL_OBJECT *intinput_giant;
	void *vdata;
	long ldata;
} FD_form_screen;

extern FD_form_screen * create_form_form_screen(void);

typedef struct {
	FL_FORM *form_toc;
	FL_OBJECT *browser_toc;
	void *vdata;
	long ldata;
} FD_form_toc;

extern FD_form_toc * create_form_form_toc(void);


typedef struct {
	FL_FORM *form_ref;
	FL_OBJECT *radio_ref;
	FL_OBJECT *radio_pageref;
	FL_OBJECT *browser_ref;
	void *vdata;
	long ldata;
} FD_form_ref;

extern FD_form_ref * create_form_form_ref(void);

#endif /* FD_form_main_h_ */

