/* This file is part of
 * ======================================================
 * 
 *           LyX, the High Level Word Processor
 * 	 
 *	    Copyright (C) 1995 Matthias Ettrich
 *
 *======================================================*/

#include <forms.h>
#include "definitions.h"



/* table for all the fonts
 * family        series          shape       size - zoom  (zoom from 1 to 4)
 * 0 roman       0 medium        0 upshape   0 small
 * 1 modern      1 bold          1 italic    1 normal
 * 2 typewriter                    /slanted  2 large
 *                                           3 Huge 
 */


typedef unsigned short Dimension;
typedef struct _WidgetRec *Widget;

GC LyXGetGC(LyXFont font);
GC LyXGetClearGC();
GC LyXGetGreenGC();
GC LyXGetCopyGC();
GC LyXGetOnOffLineGC();
GC LyXGetThickLineGC();
GC LyXGetLightedGC();
GC LyXGetYellowGC();

GC LyXGetSelectGC();
int LyXMaxAscent(LyXFont font);
int LyXMaxDescent(LyXFont font);
int LyXWidth(LyXFont font, char c);
int LyXAscent(LyXFont font, char c);
int LyXDescent(LyXFont font, char c);

int LyXTextWidth(LyXFont font, char*s, int n);
int LyXStringWidth(LyXFont font, char *s);

int Maximum(int a, int b);




/* The class LyXScreen is used for the main Textbody. Because of the
 * powerful Text-Class the implementation is not too difficult.
 * Variations of the Screen-class can be used to implement an
 * easy-to-use editor for tabulars.
 */

class LyXScreen {
private:
  Dimension height;
  Dimension width;
  Window canvas;
   
  long screen_refresh_y;
   
  Row *screen_refresh_row;
   

  /* used to store the graphic-information covered by the cursor */ 
  Pixmap cursor_pixmap;
   
  int cursor_visible;		       /* just a boolean flag  */
  
public:
   
  /* Konstruktor needs only the DrawingArea, because screen will 
   * use its full size. The Konstruktor draws also  the text, starting 
   * with row number 0 */
  LyXScreen(Window drawingarea, int h, int w, LyXText *text_ptr);

  long first;		       /* first visible pixel-row  */


  /* y1 and y2 are coordinates of the screen */ 
  void DrawFromTo(int y1, int y2);
   
  /* y is a coordinate of the text */ 
  void DrawOneRow(Row* row, long &y_text);
   
   
   
   
  LyXText *text;
   
  void Draw(long y );
  
  void Redraw();
   
  /* returns a new top so that the cursor is visible */
  long TopCursorVisible(); 
  int FitCursor();
  void ShowCursor();
  void HideCursor();
  void CursorHi();
  void CursorLo();
  void CursorToggle();

  void ToggleSelection();
  void ToggleToggle();

  void Update();
  void SmallUpdate();
};





/* specification of the LyX-Formula Object */ 
/* 

class Formula {
 public:
   virtual int Height()=0;
   virtual int Width()=0;
   virtual void Draw(unsigned long pixmap, int x, int y)=0;
   Formula(char* string, int &pos, char end_char);
   virtual ~Formula();
   LyXFont font;
};



class BoxFormula  : public Formula {
   
};
*/ 
